Skip to main content
Add or remove members in bulk from a Facebook custom audience via CSV or smart lists
PUT https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/{audienceId}/member/batch

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Path parameters

audienceId
string
default:"23851234567890123"
required
Custom audience identifier

Body

locationId
string
default:"loc_abc123"
required
Account identifier
csvPath
string
default:"/uploads/audience.csv"
CSV file path
operationType
string
default:"ADD"
required
Batch operation type
smartlistIds
string[]
Smartlist IDs array
dynamicAudience
string
default:"true"
Dynamic audience flag

Respuestas

{}
{}
{}

Ejemplo

curl -X PUT 'https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId/member/batch' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "loc_abc123",
  "csvPath": "/uploads/audience.csv",
  "operationType": "ADD",
  "smartlistIds": [
    "list_1",
    "list_2"
  ],
  "dynamicAudience": "true"
}'
const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId/member/batch', {
  method: 'PUT',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"locationId": "loc_abc123", "csvPath": "/uploads/audience.csv", "operationType": "ADD", "smartlistIds": ["list_1", "list_2"], "dynamicAudience": "true"}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'PUT',
    'https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId/member/batch',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"locationId": "loc_abc123", "csvPath": "/uploads/audience.csv", "operationType": "ADD", "smartlistIds": ["list_1", "list_2"], "dynamicAudience": "true"},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId/member/batch');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'PUT',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'locationId': 'loc_abc123', 'csvPath': '/uploads/audience.csv', 'operationType': 'ADD', 'smartlistIds': ['list_1', 'list_2'], 'dynamicAudience': 'true'}),
]);
$data = json_decode(curl_exec($ch), true);